LPT1D	EQU	3BCH
LPT1S	EQU	LPT1D+1
	.MODEL	SMALL
	.CODE
TERUG:	MOV	DX,LPT1S
	IN	AL,DX	;Lees de inhoud van I/O-adres LPT1S in register AL.
	MOV	BL,AL	;Maak BL gelijk aan AL.
	AND	BL,78H	;Reset niet gebruikte bits.
	MOV	CL,3
	SHR	BL,CL	;Schuif 3 posities naar rechts.
	ADD	BL,10	;Tel er 10 bij op.
	CMP	BL,19	;Vergelijk de temperatuur met 19.
	JB	AAN	;Spring naar AAN: als temperatuur<19.
	JA	UIT	;Spring naar UIT: als temperatuur>19.
	JMP	TERUG	;Spring naar TERUG:.
AAN:	MOV	DX,LPT1D
	IN	AL,DX	;Lees de inhoud van I/O-adres LPT1D.
	OR	AL,08H	;Set alleen bit3.
	OUT	DX,AL	;Schrijf naar I/O-adres LPT1D.
	JMP	TERUG	;Spring naar TERUG:.
UIT:	MOV	DX,LPT1D
	IN	AL,DX	;Lees de inhoud van I/O-adres LPT1D.
	AND	AL,0F7H	;Reset alleen bit3.
	OUT	DX,AL	;Schrijf naar I/O-adres LPT1D.
	CMP	BL,25	;Vergelijk de temperatuur met 25.
	JNE	TERUG	;Spring naar TERUG: als temperatuur ongelijk aan 25 is.
	MOV	AH,4CH	
	INT	21H	;Sluit het programma af en keer terug naar OS.
	END